/*
 * thisUser.h
 *
 *  Created on: 26.5.2011
 *      Author: petr
 */

#ifndef THISUSER_H_
#define THISUSER_H_

#include "item.h"

class ThisUser : public Item {
public:
	string username, password, salt, cookie, email, root_directory_id;

	ThisUser();

	int get(string id);

	int put();

	int post();

	int deleteObject();

	int getInfo();

	int getShortInfo();
};

#endif /* THISUSER_H_ */
